export default {
  methods: {
    findLeafDescendantPath(routeData, ancestorPath = '') {
      if (!routeData) return ''
      if (Array.isArray(routeData)) return this.findLeafDescendantPath(routeData.first())
      const currentPath = routeData.path.startsWith('/')
        ? routeData.path
        : ancestorPath + '/' + routeData.path
      if (!routeData.children?.length) {
        return currentPath
      }
      return this.findLeafDescendantPath(routeData.children.first(), currentPath)
    }
  }
}
